html, 
body { color: #333; font-family: "helvetica-neue-lt-pro", sans-serif; font-size: 17px; -webkit-font-smoothing: antialiased; }
.container { padding: 0; width: 100%; }

/* Links */
a { transition: background-color .2s, color .2s; padding: 4px 0; }
a:hover { text-decoration: none; }
a:focus { text-decoration: none; }
button { background: #ccc; border: 0; margin: 6px 0 6px; padding: 8px 14px 6px; transition: background .2s, color .2s; }
button:hover { background: #999; }

/* Headers */
h1 { color: #2D0A3C; font-size: 4.4em; margin: 0; transition: font-size .4s; }
h2 { color: #1E8B99; font-size: 2.2em; margin: 26px 0; }
h3 { font-size: 2.2em; margin: 46px 0 22px; }
h4 { font-size: 1.6em; margin: 46px 0 12px; }
h5 { font-size: 1.4em; margin: 46px 0 12px; }
h6 { font-size: 1.2em; margin: 46px 0 12px; }

/* Paragraphs & Lists */
p { line-height: 1.6em; margin: 26px 0; }
ul, 
ol { margin: 20px 0; }
li { line-height: 1.6em; margin: 12px 0; }
img { max-width: 100%; }

/* Header */
header { align-items: center; background-color: #fff; border-radius: 9px; box-shadow: 0 2px 8px -4px #444; color: #fff; display: flex; justify-content: space-between; left: 50%; padding: 8px 2% 6px; position: fixed; top: 44px; transform: translateX(-50%); transition: .4s; width: 80%; z-index: 100; }
header img { height: 80px; transition: height .4s; }
header nav ul { list-style: none; margin: 0; padding: 0; }
header nav li { display: inline-block; font-size: 1em; margin: 0; margin-left: 44px; position: relative; transition: font-size .4s, margin .4s; }
header nav li a { color: #333; display: block; padding: 0; }
header nav li a:hover,
header nav li a:focus { color: #1E8B99; }

header.scrolled { padding: 6px 1.5% 4px; top: 12px; }
header.scrolled img { height: 64px; }
header.scrolled nav li { font-size: .9em; margin-left: 34px; }

#skiptocontent { background-color: #fff; border-radius: 8px; box-shadow: 2px 2px 8px 0 #000; font-size: 1.3em; left: -9999px; padding: 6px 12px; position: absolute; top: -9999px; }
#skiptocontent:focus { left: 8px; top: 8px; }

#mobile-menu { background: transparent; border: 0; display: none; margin: 0; padding: 0 4px; }
#mobile-menu .line { background: #333; display: block; height: 3px; left: 0; margin: 0 0 6px; position: relative; top: 0; transition: .3s; width: 26px; }
#mobile-menu .line.btm { margin: 0; }

.ada-element { left: -9999px; position: absolute; }

/* General Formatting */
#content > section { padding: 56px 10% 60px; }

.row { display: flex; gap: 5%; justify-content: space-between; margin: 0; }
.row:before,
.row:after { display: none; }
#content .row > div { padding: 0; }

/* Homepage */

#image-mosaic { display: flex; padding: 190px 0 0 !important; position: relative; }
#image-mosaic div { border: 4px solid #fff; border-width: 0 2px; position: relative; width: 25%; }
#image-mosaic div:before { background: #2D0A3C; border-bottom: 5px solid #fff; bottom: 100%; content: ""; height: 190px; position: absolute; width: 100%; }
#image-mosaic div:first-of-type { border-left: 0; border-right-width: 4px; }
#image-mosaic div:nth-of-type(2):before { background: #1E8B99; }
#image-mosaic div:nth-of-type(3):before { background: #8D8DA6; }
#image-mosaic div:last-of-type { border-right: 0; border-left-width: 4px; }
#image-mosaic div:last-of-type:before { background: #799B73; }

#translation-widget { font-family: "ABeeZee",sans-serif; font-size: .9em; left: 0; padding: 6px 10px; position: absolute; top: 0; width: 100%; z-index: 1; }
#translation-widget img { height: 16px; }
#translation-widget label { left: -9999px; position: absolute; }
#translation-widget select { background: transparent; border: 0; color: #fff; cursor: pointer; margin-bottom: 8px; } 
#translation-widget option { color: #000; }
#google_translate_element { display: none; }

#about > div { display: flex; gap: 5%; padding: 22px 0;  }
#about blockquote { border-left: 0; color: #2D0A3C; font-family: "ABeeZee",sans-serif; font-size: 1.8em; margin-top: 28px; padding: 20px 0 0; position: relative; }
#about blockquote:before { background: #1e8b99; content: ""; height: 8px; position: absolute; top: 0; width: 60px; }
#about ul { display: flex; justify-content: space-between; list-style: none; padding: 0; }
#about li { align-items: center; display: flex; gap: 16px; line-height: 1.4em; width: 30%; }

#plans { background: #2D0A3C; background-image: url("../images/Images/planew.png"); background-size: 70%; background-repeat: no-repeat; background-position: center right -40%; }
#plans > div { display: flex; justify-content: space-between; margin-bottom: 14px; }
#plans > div div { background: #fff; border-top: 3px solid #fc0; padding: 0 18px 20px; width: 32%; }
#plans > div div:nth-of-type(2) { border-top-color: #f90; }
#plans > div div:nth-of-type(3) { border-top-color: #789971; }
#plans h2 { color: #fff; font-size: 1em; margin-top: 0; }
#plans h3 { color: #2D0A3C; font-size: 1.4em; margin-top: 18px; }
#plans h4 { font-size: 1em; margin: 16px 0 4px; }
#plans a { color: #333; text-decoration: underline; }
#plans a:hover,
#plans a:focus { color: #f90; }

#schedule-steps { display: flex; justify-content: space-between; margin: 54px 0; }
#schedule-steps > div { width: 20%; }
#schedule-steps h3 { color: #2D0A3C; text-align: center; }
#schedule-steps h3 span { display: block; }
#schedule-steps > div:nth-of-type(2) h3 { color: #1E8B99; }
#schedule-steps > div:nth-of-type(3) h3 { color: #8D8DA6; }
#schedule-steps > div:nth-of-type(4) h3 { color: #799B73; }
#schedule-steps li { margin: 3px 0; }

#placeholder-survey { background: #E2E2E2; height: 240px; padding-top: 60px; text-align: center; }

/* Footer */
#footer-top { background-color: #2D0A3C; background-image: url("../images/Images/trainwhite.png"); background-size: 50%; background-repeat: no-repeat; background-position: center right 0%; color: #fff; display: flex; justify-content: space-between; padding: 46px 5% 44px; }
#footer-top > div { width: 34%; }
#footer-top h2 { color: #fc0; display: inline-block; margin: 0; position: relative; }
#footer-top h2 img { bottom: 8px; left: 100%; margin-left: 12px; position: absolute; }
#footer-top > div:last-of-type h2 img { bottom: auto; left: auto; margin-right: 12px; right: 100%; }
#footer-top p { margin: 10px 0 16px; }

#footer-bottom { align-items: center; background: #0C0210; color: #fff; display: flex; justify-content: space-between; padding: 12px 5% 14px; }
#footer-bottom p { margin: 0; }

#footer-top form label { left: -9999px; position: absolute; }
#footer-top form input { border: 0; border-radius: 6px; padding: 8px 12px;}
#footer-top form button { background: #fc0; border-radius: 6px; color: #333; font-family: "Poppins",sans-serif; font-weight: 700; margin: 0; }
#footer-top form button:hover,
#footer-top form button:focus { background: #c19a00; }

#join-mailinglist { margin-top: 40px; }
#mailinglist-form { display: flex; width: 100%; }
#mailinglist-form input { border-radius: 6px 0 0 6px !important; color: #000; flex-grow: 1; }
#mailinglist-form button { border-radius: 0 6px 6px 0 !important; }
#mailform-msg { display: block; font-style: italic; margin-top: 12px; }

#comment-form div { display: flex; justify-content: space-between; margin: 8px 0; }
#comment-form div input { color: #000; margin: 4px 0 8px; width: 48.5%; }
#comment-form textarea { border-radius: 6px; color: #000; height: 112px; margin-bottom: 10px; padding: 8px 12px; width: 100%; }
#cqform-msg { display: block; font-style: italic; margin: 10px 12px 0; }

/* Comment Map */

#comment-map { padding: 0 !important; }

#header.commentmap-header { background-image: url("../images/CommentMap_Hero.jpg"); }

#map-instructions ul { list-style: none; padding: 0; }
#map-instructions ul li { margin-bottom: 40px; padding-left: 52px; position: relative; }
#map-instructions ul li img { height: 32px; left: 0; position: absolute; }

#map-area { height: 760px; margin-top: 28px; overflow: hidden; position: relative; width: 100%; }

#map { height: 100%; width: 100%; }

#corner-box { padding: 32px 0 0 32px; position: absolute; top: 0; z-index: 2; }
#instruction { background: #fff; border: 0; border-width: 0 1px 1px 0; font-size: .85em; height: 0; line-height: 1.3em; opacity: 0; padding: 0; position: relative; transition: .2s, opacity .1s; width: 360px; }
.echolocating #instruction { border: 1px solid #000; height: auto; opacity: 1; padding: 10px 14px; transition: height .3s, padding .3s, opacity .2s ease-out .2s; }

#map-corner { background: #fc0; margin-bottom: 18px; padding: 14px 18px; width: 480px; }
#map-corner h2 { color: #333; font-size: 1.3em; margin: 0; }
#map-corner p { margin: 8px 0 0; }
.commenting #map-corner { display: none; }

#search-address { display: none; margin-top: 8px; }
#address-search { height: auto; padding: 2px 8px 1px; width: 94%; }

#add-comment { background: #2D0A3C; border: 0; color: #fff; cursor: pointer; font-size: 1em; font-weight: 700; margin: 0; padding: 44px 14px 8px; position: relative; transition: padding .2s; }
#add-comment:before { background: #fff; content: ""; height: 24px; left: 50%; position: absolute; top: 11px; transform: translateX(-50%); transition: .3s; width: 4px; }
#add-comment:after { background: #fff; content: ""; height: 4px; left: 50%; position: absolute; top: 21px; transform: translateX(-50%); transition: .3s; width: 24px; }
#add-comment:hover { padding-top: 58px; }
#add-comment:hover:before { height: 28px; top: 16px; width: 6px; }
#add-comment:hover:after { height: 6px; top: 27px; width: 28px; }

.echolocating #add-comment:before { transform: rotate(35deg); }
.echolocating #add-comment:after { margin-left: -13px; margin-top: 4px; transform: rotate(65deg); width: 14px; }

.commenting #add-comment { background: #7a0f33; color: #fff; }
.commenting #add-comment:before { background: #fff; transform: translateX(-50%) rotate(45deg); }
.commenting #add-comment:after { background: #fff; transform: translateX(-50%) rotate(45deg); }

#form-area { background: #000; background: rgba(0,0,0,.4); display: none; height: 100%; position: absolute; right: -100%; top: 0; transition: right .8s; width: 100%; }
#form-area form { background: #2D0A3C; color: #fff; display: block; height: 100%; margin-left: 40%; overflow: auto; padding: 22px 32px 44px; width: 60%; }
.commenting #form-area { display: block; }
.come-in #form-area { right: 0; }
#form-area h4 { font-size: 1.2em; font-weight: 700; margin-top: 16px; text-transform: uppercase; }

#map-form { background: #2D0A3C; }
#map-form > div { padding-bottom: 28px; }
#map-form > div > label { display: block; font-size: 1.4em; font-weight: 600; margin-bottom: 12px; }
#map-form > div div { display: block; margin-right: 28px; }
#map-form > div div label { cursor: pointer; font-weight: 400; margin-left: 4px; }
#map-form select { margin: 4px 0 2px; padding: 6px 4px; width: 100%; }
#map-form textarea { color: #000; height: 110px; margin-top: 6px; padding: 4px 8px; width: 100%; }
#map-form input[type="submit"] { background: #fc0; border: 0; border-radius: 8px; color: #333; font-family: "Poppins",sans-serif; font-size: 1.1em; font-weight: 700; padding: 7px 18px; transition: background .2s; }
#map-form input[type="submit"]:hover { background: #d39e0d; }

#map-form > div div.other-explanation { display: none; margin: 0; width: 100%; }
.other-explanation label { left: -9999px; position: absolute; }
#map-form .other-explanation textarea { height: 80px; }

#map-thanks { background: #fff; border-radius: 8px; box-shadow: 0 4px 8px -2px #333; left: 50%; line-height: 1.5em; padding: 20px 30px; position: absolute; text-align: center; top: -34%; transform: translateX(-50%); transition: top .6s; width: 400px; }
.thanks #map-thanks { top: 34%; }

/************ Responsive ****************************************************************************************/

@media screen and (min-width: 2030px) {
    html,body { font-size: 19px; }
    p { line-height: 1.8em; margin: 32px 0; }

    #footer-top { padding: 64px 5%; }
    #footer-bottom { padding: 18px 5% }
}

@media screen and (max-width: 1540px) {
    #schedule-steps h3 { font-size: 1.7em; }
}

@media screen and (max-width: 1240px) {
    #content > section { padding: 32px 6%; }

    #corner-box { padding: 14px; }
    #map-corner { font-size: .85em; margin-bottom: 10px;  width: 260px; }
    #map-corner p { line-height: 1.1em; }
    
    #schedule-steps h3 { font-size: 1.4em; }
    
    #map-area { height: 620px; }
    #add-comment { font-size: .85em; }
    #instruction { font-size: .8em; }
}

@media screen and (max-width: 992px) {
    h1 { font-size: 2.4em; }
    h2 { font-size: 1.4em; margin: 16px 0; }
    h3 { font-size: 1.6em; margin: 24px 0 0; }
    h4 { font-size: 1.4em; margin: 24px 0 0; }
    h5 { font-size: 1.2em; margin: 24px 0 0; }
    h6 { font-size: 1.1em; margin: 24px 0 0; }
    p, li { font-size: .9em; line-height: 1.4em; }
    button { font-size: .9em; padding: 4px 10px; }

    #content > section { padding: 36px 6%; }
    .row { display: block; }

    /* Header */
    #mobile-menu { display: block; }
    .menu-opened #mobile-menu .line.top { top: 8px; transform: rotate(45deg); }
    .menu-opened #mobile-menu .line.mid { opacity: 0; transform: rotate(90deg); }
    .menu-opened #mobile-menu .line.btm { top: -10px; transform: rotate(-45deg); }
    
    header { padding: 6px 14px 6px 20px; top: 48px; width: 94%; }
    header img { height: 52px; }
    header nav { position: relative; }
    header nav ul { background-color: #fff; box-shadow: 2px 4px 8px -4px #000; margin-top: 8px; opacity: 0; position: absolute; right: 9999px; top: 100%; width: 220px; z-index: 1; }
    header nav li { border-top: 1px solid #333; display: block; margin: 0; text-align: center; width: 100%; }
    header nav li a { padding: 8px; }
    header nav li ul { margin: 0; padding: 0; position: static; width: 100%; }
    header nav li ul li { margin: 0 ; padding: 0; }
    header nav li ul li a { border: 0; padding: 7px; }
    .menu-opened header nav ul { opacity: 1; right: 0; transition: right 0s, opacity .2s; }

    header.scrolled { padding: 6px 8px 6px 16px; }
    header.scrolled img { height: 44px; }
    header.scrolled nav li { font-size: .9em; margin-left: 0; }

    #translation-widget select { background: #fff; color: #333; }
    
    #image-mosaic { padding-top: 150px !important; }
    #image-mosaic div:before { height: 150px; }

    #about li { line-height: 1.2em; }
    #about li img { width: 56px; }
    #about blockquote { font-size: 1.3em; line-height: 1.3em; }

    #schedule-steps { flex-wrap: wrap; }
    #schedule-steps > div { margin-bottom: 32px; width: 46%; }
    #schedule-steps > div img { display: block; margin: 0 auto; max-width: 240px; width: 100%; }

    #footer-top > div { width: 38%; }
    #footer-top h2 img { height: 46px;  }
    
    #map-area { height: 500px; }
    #instruction { font-size: .75em; width: 250px; }
    #map-thanks { font-size: .9em; padding: 8px 14px; width: 80%; }
    #address-search { font-size: .85em; }
    .thanks #map-thanks { top: 210px; }
    #map-form { font-size: .9em; }
    #map-form select { font-size: .9em; }
    #map-form input[type="submit"] { font-size: .9em; }
}

@media screen and (max-width: 768px) {
    #content > section { padding: 36px 8%; }

    #about ul { flex-wrap: wrap; }
    #about li { width: 100%; }

    #plans h3 { font-size: 1.2em; }
    #plans > div { flex-wrap: wrap; }
    #plans > div div { margin: 10px 0; width: 100%; }
    
    #map-corner { font-size: .8em; width: 180px; }
    #map-corner h2 { font-size: 1em; }
    #map-corner p { margin-top: 6px; }

    #schedule-steps > div img { max-width: 160px; }

    #footer-top { background-size: auto 100%; background-position: center right -120px; display: block; padding: 30px 6% 40px; }
    #footer-top > div { width: 100%; }
    #footer-top img[src*="logo"] { height: 64px; }
    #footer-top h2 { font-size: 1.3em; margin-top: 48px; padding-top: 12px; }
    #footer-top h2 img { bottom: 100% !important; display: block; left: 0 !important; right: auto !important; top: auto !important; width: 40px; }
    #footer-top form { font-size: .85em; }
    #join-mailinglist { margin-top: 20px; }
}

@media screen and (max-width: 570px) {
    h1 { font-size: 1.6em; }

    #about > div { display: block;  }
    
    #schedule-steps > div { margin-bottom: 22px; width: 100%; }
    #schedule-steps > div img { max-width: 180px; }

    #footer-bottom { display: block; text-align: center; }
    #footer-bottom a { display: block;  margin: 6px 0 0; }

    #map-corner { width: 100%; }
    #comment-map { border: 0; }
    #corner-box { position: relative; }
    #instruction { width: 100%; }
    #search-address { top: 208px; }
    #map-area { border: 0; height: auto; }
    #map { border: 1px solid #000; height: 420px; }
    #form-area { border: 1px solid #000; padding-top: 98px; }
    #form-area form { height: 100%; margin: 0; padding: 4px 20px 28px; width: 100%; }
    #form-area label { line-height: 1.3em; }
}